Bug 520960 - gnome-power-manager crashes when battery is removed (Vaio P)
gnome-power-manager crashes when battery is removed (Vaio P)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 522812 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-02 18:42 EDT by Adam Williamson
Modified: 2010-06-28 10:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output from g-p-m when the crash happens (1.11 KB, text/plain)
2009-09-02 18:45 EDT, Adam Williamson
no flags Details
bug-buddy's log from the crash (254.73 KB, text/plain)
2009-09-02 18:46 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2009-09-02 18:42:39 EDT
Mostly all in the summary :). If I disconnect the battery from my Vaio P (while it's plugged into the mains, obviously), g-p-m crashes a couple of seconds later. I'll attach bug-buddy's saved trace, and the console output from reproducing the issue with g-p-m running in a console.
Comment 1 Adam Williamson 2009-09-02 18:45:33 EDT
Created attachment 359605 [details]
console output from g-p-m when the crash happens

I disconnect the battery somewhere between 15:25:46 and 15:26:08. As the logs suggest, g-p-m doesn't crash the instant the battery is removed; it gets as far as removing the icon from the panel (as no battery is present any more), then crashes a bit later.
Comment 2 Adam Williamson 2009-09-02 18:46:18 EDT
Created attachment 359606 [details]
bug-buddy's log from the crash
Comment 3 Peter Robinson 2009-09-09 18:13:27 EDT
I have the same problem with my Dell Latitude D630 which has 2 batteries. It crashes when I remove one of the batteries. It also looks the same issue as RHBZ 513014
Comment 4 Richard Hughes 2009-09-11 11:21:14 EDT
*** Bug 522812 has been marked as a duplicate of this bug. ***
Comment 5 Peter Robinson 2009-10-31 14:45:47 EDT
It no longer crashes on battery removal for me. Although it has other issues which I'll report separately.
Comment 6 Douglas Whitfield 2009-11-10 22:05:16 EST
I see this problem on the HP 6910p.
Comment 7 Adam Williamson 2009-11-10 22:48:48 EST
still happens on my P with latest F11 packages.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2010-04-28 06:09:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 10:27:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.